using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsContractMethod {
        public FmsContractMethod() {
            FmsContract = new HashSet<FmsContract>();
        }

        //계약방법
        [Display(Name = "계약 방법 코드"), Key]
        public int ContractMethodId { get; set; }
        [Display(Name = "코드 명칭"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        [InverseProperty("FmsContractMethod")]
        public virtual ICollection<FmsContract> FmsContract { get; set; }
    }
}
